#ifndef EXPERIMENT_HPP
#define EXPERIMENT_HPP

#include <QApplication>
#include <QMainWindow>
#include <QAction>
#include <QMenu>
#include <QPushButton>
#include <QProgressBar>
#include <QTimer>

#include "WorkArea.hpp"


class Experiment: public QMainWindow
{
  Q_OBJECT 


private:
  const int spaceInBetween = 20;
  const int time = 100;
  const int maxProgressBar = 5000;
  int screenWidth, screenHeight;

  QMenu *fileMenu;

  QAction *openAct;
  QAction *exitAct;

  WorkArea *waLeft;
  WorkArea *waRight;

  QPushButton *leftButton, *rightButton;

  QProgressBar *progressBar;
  QTimer *timer;

  void createActions ();
  void createMenus ();

		     
private slots:
  void open ();
  void leftImage();
  void rightImage();
  void progressBarValueChanged(int value);
  void ticTimer();
  
public:
  Experiment ();
  void openC (QString image, QString leftSL, QString rightSL);
  
};

#endif
